<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Attributes and Hyperlinks</title>
	</head>
	<body>
		<h2 id="top">HTML Attributes</h2>
		<p align="center"><em>Modifiers of element behaviors</em></p>

		<h2>HTML Images</h2>

		<!-- &lt; and &gt; are called HTML entities -->
		<p align="right">
			<em>An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute.</em>
		</p>

		<!-- Adds an image using absolute linking -->
		<a href="https://place-puppy.com/">
			<img src="https://place-puppy.com/300x300"> 
		</a>

		<p>
			<code>&lt; img src="https://place-puppy.com/300x300" &gt;</code>
		</p>

		<!-- Add an image using relative linking -->
		<a href="https://zuitt.co" target="blank">
			<img src="./images/zuittlogo.png">
		</a>

		<p>
			<code>&lt; img src="./images/zuittlogo.png" &gt;</code>
		</p>

		<p>
			Valid image extensions are the following:

		</p>

		<!-- Other values for the type attribute are the following:
		-1, A, i, I -->
		<ol type="a" reversed>
			<li>png</li>
			<li>jpg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>

		<p> Take a look at w3schools attribute references <a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank"> here</a>.</p>

		<h2> HTML Links</h2>
		<h4>Absolute Link</h4>
		<a href="https://zuitt.co">I'm a hyperlink</a>

		<h4>Relative Link</h4>
		<!-- Redirects to the link.html page/file -->
		<p>Go to <a href="./link.html">link.html</a> page.</p>

		<p> Go to <a href="#top"> top.</a></p>
		
	</body>
</html>